function F = ApplyLaplace(U,h,n);
% apply the discrete Laplace operator
% on an n*n array U, where the 
% boundary points are included
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% boundary points remain unchanged, 
% at the inner points do central FD

F = U; % initialise

% inner points:
for i=2:n-1
  for j=2:n-1
    F(i,j) = 1/h/h*(U(i,j+1)+U(i,j-1)+U(i+1,j)+U(i-1,j)-4*U(i,j));
  end
end